%define program_prefix	gnu-

Summary:	A set of GNU Interactive Tools
Name: 		%{program_prefix}git
Version:	4.3.20
Release:	%mkrel 20
License:	GPLv2+
Group:		File tools
URL:		http://www.hulubei.net/tudor/git
Source: 	ftp://ftp.gnu.org/pub/gnu/git/git-%{version}.tar.gz
Patch1:		git-Makefile-fixes.patch
Patch2:		git-4.3.20-rename-to-gnu-git.patch
Patch3:		git-4.3.20--update-documentation-for-rename.patch
Patch4:		git-4.3.20-Makefile.in-rename.patch
BuildRequires:	ncurses-devel
BuildRequires:	tetex
BuildRequires:	texinfo
BuildRequires:	texi2html
Obsoletes:	git < 4.3.20-15
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{program_prefix}GIT (GNU Interactive Tools) provides an extensible file
system browser, an ASCII/hexadecimal file viewer, a process viewer/killer
and other related utilities and shell scripts.  GIT can be used to increase
the speed and efficiency of copying and moving files and directories,
invoking editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more.  GIT uses standard
ANSI color sequences, if they are available.  

You should install the git package if you are interested in using its file
management capabilities.

%prep
%setup -q -n git-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
#
# (fg) 20000721 FIXME - git doesn't like libtoolize, hence the handmade
# ./configure line
#
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS='-s' ./configure \
--program-prefix=%{program_prefix} --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --with-terminfo --libdir=%{_libdir} --enable-smp
%make

# Force rebuild of info file
pushd doc
makeinfo git.texinfo
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1,%{_datadir}}
%makeinstall

rm -f %{buildroot}/%{_infodir}/dir
rm -f %{buildroot}/usr/doc/git-4.3.20/git.html

pushd %{buildroot}/%{_datadir}/git
for f in `ls .gitrc.* | sed -e 's/.gitrc//'`; do
    mv -f .gitrc$f .%{program_prefix}gitrc$f
done
popd
mv -f %{buildroot}/%{_datadir}/git %{buildroot}/%{_datadir}/%{program_prefix}git
mv -f %{buildroot}/%{_bindir}/%{program_prefix}.gitaction %{buildroot}/%{_bindir}/.%{program_prefix}gitaction

%files
%defattr(-,root,root,0755)
%doc ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/git.html
%{_bindir}/*
%{_bindir}/.%{program_prefix}gitaction
%{_mandir}/man1/*
%{_infodir}/*
%dir %{_datadir}/%{program_prefix}git
%{_datadir}/%{program_prefix}git/.%{program_prefix}gitrc*

%clean
rm -rf %{buildroot}

%post
%{_install_info gnu-git.info}

%preun
%{_remove_install_info gnu-git.info}



%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.3.20-20mdv2009.0
+ Revision: 266925
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Anssi Hannula <anssi@mandriva.org> 4.3.20-19mdv2009.0
+ Revision: 218151
- remove now unneeded conflicts with linus-git (Paulo prefixed the
  programs)
- simplify obsoletes versioning

* Wed Jun 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.3.20-18mdv2009.0
+ Revision: 218119
- Rename git directory to gnu-git, to match new package name.
- Fix some typos in documentation patch.
  Add a conflicts with older versions of linus-git package.
- Rename spec file.
- Modify the git package so that it can be renamed to gnu-git, and not
  conflict with linus-git package, that should be renamed to just git.
  This should address #34692 (Installing git isn't easy...)

  + Andreas Hasenack <andreas@mandriva.com>
    - rebuild for 2008.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 4.3.20-14mdv2008.0
+ Revision: 91265
- rebuild for 2008

